LASi: LASi::setFont Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | Friends

# LASi::setFont Class Reference

stream manipulator applied to oPostscriptStream. More...

`#include <LASi.h>`

List of all members.

## Public Member Functions
| setFont (const char *const family="sans", const LASi::FontStyle style=LASi::NORMAL_STYLE, const LASi::FontWeight weight=LASi::NORMAL_WEIGHT, const LASi::FontVariant variant=LASi::NORMAL_VARIANT, const LASi::FontStretch stretch=LASi::NORMAL_STRETCH)
| Usage: os << setFont("Vera Sans",LASi::ITALIC,LASi::BOLD) << ...
## Protected Member Functions
void | apply (oPostscriptStream &os) const
## Private Attributes
const char *const | _family
const LASi::FontStyle | _style
const LASi::FontWeight | _weight
const LASi::FontVariant | _variant
const LASi::FontStretch | _stretch
## Friends
oPostscriptStream & | operator<< (oPostscriptStream &os, const setFont &x)
| Stream inserter for 'setFont' stream manipulator.

## Detailed Description

stream manipulator applied to oPostscriptStream.

## Constructor & Destructor Documentation

LASi::setFont::setFont | ( | const char *const | family = `"sans"`,
|  | const LASi::FontStyle | style = `LASi::NORMAL_STYLE`,
|  | const LASi::FontWeight | weight = `LASi::NORMAL_WEIGHT`,
|  | const LASi::FontVariant | variant = `LASi::NORMAL_VARIANT`,
|  | const LASi::FontStretch | stretch = `LASi::NORMAL_STRETCH` |
| ) |  |  | `[inline]`

Usage: os << setFont("Vera Sans",LASi::ITALIC,LASi::BOLD) << ...

## Member Function Documentation

void LASi::setFont::apply | ( | oPostscriptStream & | os | ) | const`[inline, protected]`

References LASi::oPostscriptStream::doc(), and LASi::PostscriptDocument::setFont().

## Friends And Related Function Documentation

oPostscriptStream& operator<< | ( | oPostscriptStream & | os,
|  | const setFont & | x |
| ) |  |  | `[friend]`

Stream inserter for 'setFont' stream manipulator.

## Member Data Documentation

const char* const LASi::setFont::_family`[private]`

const LASi::FontStretch LASi::setFont::_stretch`[private]`

const LASi::FontStyle LASi::setFont::_style`[private]`

const LASi::FontVariant LASi::setFont::_variant`[private]`

const LASi::FontWeight LASi::setFont::_weight`[private]`

The documentation for this class was generated from the following file:

- LASi.h